#! /bin/sh
# this script uses ImageMagic to cut the needed portions out of png

if [ ! $1 ]; then
	echo
	echo "Please, add the hex color value to the command. Examples:"
	echo "sh ./colorize.sh \"#d0d0d0\"   - Dark gray"
	echo "sh ./colorize.sh \"White\"   - White"
	echo
else
	echo
	echo "The color is $1"
	
	echo "Changing the color of the bubble outside background..."
    convert newbubbleback.png -fill "$1" -colorize 100% newback.png
	convert newback.png newbubbleoverlay.png -composite newbubble.png

	echo "Splitting the image into parts..."
	convert newbubble.png -gravity NorthWest -crop 13x11+0+0 +repage upperleft.png
	convert newbubble.png -gravity NorthEast -crop 13x11+0+0 +repage upperright.png
	convert newbubble.png -gravity SouthWest -crop 13x11+0+0 +repage lowerleft.png
	convert newbubble.png -gravity SouthEast -crop 13x11+0+0 +repage lowerrightorigin.png

	convert newbubble.png -gravity NorthWest -crop 1x11+25+0 +repage upper.png
	convert newbubble.png -gravity NorthEast -crop 13x1+0+22 +repage right.png
	convert newbubble.png -gravity NorthWest -crop 13x1+0+12 +repage left.png
	convert newbubble.png -gravity SouthWest -crop 1x11+25+0 +repage lower.png

	convert lowerrightorigin.png -flop lowerleftorigin.png
	convert lowerleft.png -flop lowerright.png

	echo "Moving the images into the correct folder..."
	mv upper*.png ../images/
	mv lower*.png ../images/
	mv right.png ../images/
	mv left.png ../images/

	echo "Changing the background color for the chat window..."
	echo "body {background-color:$1;}" > ../body.css

	echo "Done! Welcome to color $1 as your new chat background color."
	echo
	echo "(You might need to restart Kopete to see changes.)"
	echo
fi
